<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/ipc_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>01/16/85  ipc_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The Multics system supports an interprocess communication facility.
<span id="L4" class="LineNr">  4 </span>The basic purpose of the facility is to provide control communication
<span id="L5" class="LineNr">  5 </span><span class="textRainbow_lv0_p0">(</span>by means of stop and go signals<span class="textRainbow_lv0_p0">)</span> between processes.
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>The ipc_ subroutine is the user's interface to the Multics
<span id="L8" class="LineNr">  8 </span>interprocess communication facility where a process establishes event
<span id="L9" class="LineNr">  9 </span>channels in the current protection ring and waits for an event on one
<span id="L10" class="LineNr"> 10 </span>or more channels.  For information on event channels, type &quot;help
<span id="L11" class="LineNr"> 11 </span>event_channel.gi&quot;.
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Entry points in ipc_:
<span id="L15" class="LineNr"> 15 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>:Entry:  block:  10/22/82 ipc_$block
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>Function:  This entry point blocks the user's process until one or more
<span id="L22" class="LineNr"> 22 </span>of a specified list of events has occurred.
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Syntax:
<span id="L26" class="LineNr"> 26 </span>declare ipc_$block entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L27" class="LineNr"> 27 </span>call ipc_$block <span class="textRainbow_lv0_p0">(</span>event_wait_list_ptr<span class="textRainbow_lv0_o0">,</span> event_wait_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L28" class="LineNr"> 28 </span>
<span id="L29" class="LineNr"> 29 </span>
<span id="L30" class="LineNr"> 30 </span>Arguments:
<span id="L31" class="LineNr"> 31 </span>event_wait_list_ptr
<span id="L32" class="LineNr"> 32 </span>   is a pointer to the event_wait_list structure that specifies the
<span id="L33" class="LineNr"> 33 </span>   channels on which events are being awaited.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> This structure
<span id="L34" class="LineNr"> 34 </span>   is declared in event_wait_list.incl.pl1. Frequently ipc_$block is
<span id="L35" class="LineNr"> 35 </span>   called with only one channel in the wait list.  In this case, the
<span id="L36" class="LineNr"> 36 </span>   event_wait_channel structure can be used <span class="textRainbow_lv0_p0">(</span>declared in
<span id="L37" class="LineNr"> 37 </span>   event_wait_channel.incl.pl1<span class="textRainbow_lv0_p0">)</span>.
<span id="L38" class="LineNr"> 38 </span>event_wait_info_ptr
<span id="L39" class="LineNr"> 39 </span>   is a pointer to the event_wait_info structure into which the
<span id="L40" class="LineNr"> 40 </span>   ipc_$block entry point can put information about the event that
<span id="L41" class="LineNr"> 41 </span>   caused it to return <span class="textRainbow_lv0_p0">(</span>i.e.<span class="textRainbow_lv0_o0">,</span> that awakened the process<span class="textRainbow_lv0_p0">)</span>.  This
<span id="L42" class="LineNr"> 42 </span>   structure is declared in event_wait_info.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr"> 43 </span>code
<span id="L44" class="LineNr"> 44 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>:Entry:  create_ev_chn:  10/22/82 ipc_$create_ev_chn
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>Function:  This entry point creates an event-wait channel in the
<span id="L51" class="LineNr"> 51 </span>current ring.
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>Syntax:
<span id="L55" class="LineNr"> 55 </span>declare ipc_$create_ev_chn entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L56" class="LineNr"> 56 </span>call ipc_$create_ev_chn <span class="textRainbow_lv0_p0">(</span>channel_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>Arguments:
<span id="L60" class="LineNr"> 60 </span>channel_id
<span id="L61" class="LineNr"> 61 </span>   is the identifier of the event channel.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L62" class="LineNr"> 62 </span>code
<span id="L63" class="LineNr"> 63 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>:Entry:  cutoff:  01/16/85 ipc_$cutoff
<span id="L67" class="LineNr"> 67 </span>
<span id="L68" class="LineNr"> 68 </span>
<span id="L69" class="LineNr"> 69 </span>Function:  This entry point inhibits the reading of events on a
<span id="L70" class="LineNr"> 70 </span>specified event channel.  Any pending events are not affected.  More
<span id="L71" class="LineNr"> 71 </span>can be received, but do not cause the process to wake up.
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>Syntax:
<span id="L75" class="LineNr"> 75 </span>declare ipc_$cutoff entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L76" class="LineNr"> 76 </span>call ipc_$cutoff <span class="textRainbow_lv0_p0">(</span>channel_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>Arguments:
<span id="L80" class="LineNr"> 80 </span>channel_id
<span id="L81" class="LineNr"> 81 </span>   is the identifier of the event channel.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L82" class="LineNr"> 82 </span>code
<span id="L83" class="LineNr"> 83 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>:Entry:  decl_event_call_chn:  10/22/82 ipc_$decl_event_call_chn
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>Function:  This entry point changes an event-wait channel into an
<span id="L90" class="LineNr"> 90 </span>event-call channel.
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>
<span id="L93" class="LineNr"> 93 </span>Syntax:
<span id="L94" class="LineNr"> 94 </span>declare ipc_$decl_event_call_chn entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> entry<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L95" class="LineNr"> 95 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L96" class="LineNr"> 96 </span>call ipc_$decl_event_call_chn <span class="textRainbow_lv0_p0">(</span>channel_id<span class="textRainbow_lv0_o0">,</span> call_chn_procedure<span class="textRainbow_lv0_o0">,</span>
<span id="L97" class="LineNr"> 97 </span>     data_ptr<span class="textRainbow_lv0_o0">,</span> priority<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>Arguments:
<span id="L101" class="LineNr">101 </span>channel_id
<span id="L102" class="LineNr">102 </span>   is the identifier of the event channel.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L103" class="LineNr">103 </span>call_chn_procedure
<span id="L104" class="LineNr">104 </span>   is the procedure entry point invoked when an event occurs on the
<span id="L105" class="LineNr">105 </span>   specified channel.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  The procedure is called with one
<span id="L106" class="LineNr">106 </span>   argument, a pointer to the event_call_info structure which is
<span id="L107" class="LineNr">107 </span>   declared in event_call_info.incl.pl1.  Type &quot;help event_channel.gi&quot;
<span id="L108" class="LineNr">108 </span>   for details.
<span id="L109" class="LineNr">109 </span>data_ptr
<span id="L110" class="LineNr">110 </span>   is a pointer to a region where data to be passed to and interpreted
<span id="L111" class="LineNr">111 </span>   by that procedure entry point is placed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>priority
<span id="L115" class="LineNr">115 </span>   is a number indicating the priority of this event-call channel as
<span id="L116" class="LineNr">116 </span>   compared to other event-call channels declared by this process for
<span id="L117" class="LineNr">117 </span>   this ring.  If, upon interrogating all the appropriate event-call
<span id="L118" class="LineNr">118 </span>   channels, more than one is found to have received an event, the
<span id="L119" class="LineNr">119 </span>   lowest-numbered priority is honored first, and so on.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L120" class="LineNr">120 </span>code
<span id="L121" class="LineNr">121 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>:Entry:  decl_ev_wait_chn:  10/22/82 ipc_$decl_ev_wait_chn
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>Function:  This entry point changes an event-call channel into an
<span id="L128" class="LineNr">128 </span>event-wait channel.
<span id="L129" class="LineNr">129 </span>
<span id="L130" class="LineNr">130 </span>
<span id="L131" class="LineNr">131 </span>Syntax:
<span id="L132" class="LineNr">132 </span>declare ipc_$decl_ev_wait_chn entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L133" class="LineNr">133 </span>call ipc_$decl_ev_wait_chn <span class="textRainbow_lv0_p0">(</span>channel_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L134" class="LineNr">134 </span>
<span id="L135" class="LineNr">135 </span>
<span id="L136" class="LineNr">136 </span>Arguments:
<span id="L137" class="LineNr">137 </span>channel_id
<span id="L138" class="LineNr">138 </span>   is the identifier of the event channel.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L139" class="LineNr">139 </span>code
<span id="L140" class="LineNr">140 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>
<span id="L143" class="LineNr">143 </span>:Entry:  delete_ev_chn:  10/22/82 ipc_$delete_ev_chn
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Function:  This entry point destroys an event channel previously
<span id="L147" class="LineNr">147 </span>created by the process.
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>Syntax:
<span id="L151" class="LineNr">151 </span>declare ipc_$delete_ev_chn entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L152" class="LineNr">152 </span>call ipc_$delete_ev_chn <span class="textRainbow_lv0_p0">(</span>channel_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L153" class="LineNr">153 </span>
<span id="L154" class="LineNr">154 </span>
<span id="L155" class="LineNr">155 </span>Arguments:
<span id="L156" class="LineNr">156 </span>channel_id
<span id="L157" class="LineNr">157 </span>   is the identifier of the event channel.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L158" class="LineNr">158 </span>code
<span id="L159" class="LineNr">159 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L160" class="LineNr">160 </span>
<span id="L161" class="LineNr">161 </span>
<span id="L162" class="LineNr">162 </span>:Entry:  drain_chn:  10/22/82 ipc_$drain_chn
<span id="L163" class="LineNr">163 </span>
<span id="L164" class="LineNr">164 </span>
<span id="L165" class="LineNr">165 </span>Function:  This entry point resets an event channel so that any pending
<span id="L166" class="LineNr">166 </span>events <span class="textRainbow_lv0_p0">(</span>i.e.<span class="textRainbow_lv0_o0">,</span> events that have been received but not processed for that
<span id="L167" class="LineNr">167 </span>channel<span class="textRainbow_lv0_p0">)</span> are removed.
<span id="L168" class="LineNr">168 </span>
<span id="L169" class="LineNr">169 </span>
<span id="L170" class="LineNr">170 </span>Syntax:
<span id="L171" class="LineNr">171 </span>declare ipc_$drain_chn entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L172" class="LineNr">172 </span>call ipc_$drain_chn <span class="textRainbow_lv0_p0">(</span>channel_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L173" class="LineNr">173 </span>
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>Arguments:
<span id="L176" class="LineNr">176 </span>channel_id
<span id="L177" class="LineNr">177 </span>   is the identifier of the event channel.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L178" class="LineNr">178 </span>code
<span id="L179" class="LineNr">179 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L180" class="LineNr">180 </span>
<span id="L181" class="LineNr">181 </span>
<span id="L182" class="LineNr">182 </span>:Entry:  mask_ev_calls:  10/22/82 ipc_$mask_ev_calls
<span id="L183" class="LineNr">183 </span>
<span id="L184" class="LineNr">184 </span>
<span id="L185" class="LineNr">185 </span>Function: This entry point causes the ipc_$block entry point to
<span id="L186" class="LineNr">186 </span>completely ignore event-calls occurring in the user's ring at the time
<span id="L187" class="LineNr">187 </span>of this call.  This call causes a mask counter to be incremented.
<span id="L188" class="LineNr">188 </span>Event calls are masked if this counter is greater than zero.
<span id="L189" class="LineNr">189 </span>
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>Syntax:
<span id="L192" class="LineNr">192 </span>declare ipc_$mask_ev_calls entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L193" class="LineNr">193 </span>call ipc_$mask_ev_calls <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L194" class="LineNr">194 </span>
<span id="L195" class="LineNr">195 </span>
<span id="L196" class="LineNr">196 </span>Arguments:
<span id="L197" class="LineNr">197 </span>code
<span id="L198" class="LineNr">198 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L199" class="LineNr">199 </span>
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>:Entry:  read_ev_chn:  10/22/82 ipc_$read_ev_chn
<span id="L202" class="LineNr">202 </span>
<span id="L203" class="LineNr">203 </span>
<span id="L204" class="LineNr">204 </span>Function:  This entry point reads the information about an event on a
<span id="L205" class="LineNr">205 </span>specified channel if the event has occurred.
<span id="L206" class="LineNr">206 </span>
<span id="L207" class="LineNr">207 </span>
<span id="L208" class="LineNr">208 </span>Syntax:
<span id="L209" class="LineNr">209 </span>declare ipc_$read_ev_chn entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L210" class="LineNr">210 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L211" class="LineNr">211 </span>call ipc_$read_ev_chn <span class="textRainbow_lv0_p0">(</span>channel_id<span class="textRainbow_lv0_o0">,</span> ev_occurred<span class="textRainbow_lv0_o0">,</span> event_wait_info_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L212" class="LineNr">212 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>Arguments:
<span id="L216" class="LineNr">216 </span>channel_id
<span id="L217" class="LineNr">217 </span>   is the identifier of the event channel.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L218" class="LineNr">218 </span>ev_occurred
<span id="L219" class="LineNr">219 </span>   indicates whether an event occurred on the specified channel.
<span id="L220" class="LineNr">220 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L221" class="LineNr">221 </span>   0 no event occurred
<span id="L222" class="LineNr">222 </span>   1 an event occurred
<span id="L223" class="LineNr">223 </span>event_wait_info_ptr
<span id="L224" class="LineNr">224 </span>   is a pointer to the event_wait_info structure into which the
<span id="L225" class="LineNr">225 </span>   ipc_$block entry point can put information about the event that
<span id="L226" class="LineNr">226 </span>   caused it to return <span class="textRainbow_lv0_p0">(</span>i.e.<span class="textRainbow_lv0_o0">,</span> that awakened the process<span class="textRainbow_lv0_p0">)</span>.  This
<span id="L227" class="LineNr">227 </span>   structure is declared in event_wait_info.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L228" class="LineNr">228 </span>code
<span id="L229" class="LineNr">229 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L230" class="LineNr">230 </span>
<span id="L231" class="LineNr">231 </span>
<span id="L232" class="LineNr">232 </span>:Entry:  reconnect:  10/22/82 ipc_$reconnect
<span id="L233" class="LineNr">233 </span>
<span id="L234" class="LineNr">234 </span>
<span id="L235" class="LineNr">235 </span>Function: This entry point enables the reading of events on a
<span id="L236" class="LineNr">236 </span>specified event channel for which reading had previously been
<span id="L237" class="LineNr">237 </span>inhibited <span class="textRainbow_lv0_p0">(</span>using the ipc_$cutoff entry point<span class="textRainbow_lv0_p0">)</span>.  All pending signals,
<span id="L238" class="LineNr">238 </span>whether received before or during the time reading was inhibited, are
<span id="L239" class="LineNr">239 </span>henceforth available for reading.
<span id="L240" class="LineNr">240 </span>
<span id="L241" class="LineNr">241 </span>
<span id="L242" class="LineNr">242 </span>Syntax:
<span id="L243" class="LineNr">243 </span>declare ipc_$reconnect entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L244" class="LineNr">244 </span>call ipc_$reconnect <span class="textRainbow_lv0_p0">(</span>channel_id<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L245" class="LineNr">245 </span>
<span id="L246" class="LineNr">246 </span>
<span id="L247" class="LineNr">247 </span>Arguments:
<span id="L248" class="LineNr">248 </span>channel_id
<span id="L249" class="LineNr">249 </span>   is the identifier of the event channel.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L250" class="LineNr">250 </span>code
<span id="L251" class="LineNr">251 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L252" class="LineNr">252 </span>
<span id="L253" class="LineNr">253 </span>
<span id="L254" class="LineNr">254 </span>:Entry:  set_call_prior:  10/22/82 ipc_$set_call_prior
<span id="L255" class="LineNr">255 </span>
<span id="L256" class="LineNr">256 </span>
<span id="L257" class="LineNr">257 </span>Function:  This entry point causes event-call channels to be given
<span id="L258" class="LineNr">258 </span>priority over event-wait channels when several channels are being
<span id="L259" class="LineNr">259 </span>interrogated; e.g., upon return from being blocked and waiting on any
<span id="L260" class="LineNr">260 </span>of a list of channels.  Only event channels in the current ring are
<span id="L261" class="LineNr">261 </span>affected.  By default, event-call channels have priority.
<span id="L262" class="LineNr">262 </span>
<span id="L263" class="LineNr">263 </span>
<span id="L264" class="LineNr">264 </span>Syntax:
<span id="L265" class="LineNr">265 </span>declare ipc_$set_call_prior entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L266" class="LineNr">266 </span>call ipc_$set_call_prior <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L267" class="LineNr">267 </span>
<span id="L268" class="LineNr">268 </span>
<span id="L269" class="LineNr">269 </span>Arguments:
<span id="L270" class="LineNr">270 </span>code
<span id="L271" class="LineNr">271 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L272" class="LineNr">272 </span>
<span id="L273" class="LineNr">273 </span>
<span id="L274" class="LineNr">274 </span>:Entry:  set_wait_prior:  10/22/82 ipc_$set_wait_prior
<span id="L275" class="LineNr">275 </span>
<span id="L276" class="LineNr">276 </span>
<span id="L277" class="LineNr">277 </span>Function:  This entry point causes event-wait channels to be given
<span id="L278" class="LineNr">278 </span>priority over event-call channels when several channels are being
<span id="L279" class="LineNr">279 </span>interrogated; e.g., when a process returns from being blocked and is
<span id="L280" class="LineNr">280 </span>waiting on any of a list of channels.  Only event channels in the
<span id="L281" class="LineNr">281 </span>current ring are affected.
<span id="L282" class="LineNr">282 </span>
<span id="L283" class="LineNr">283 </span>
<span id="L284" class="LineNr">284 </span>Syntax:
<span id="L285" class="LineNr">285 </span>declare ipc_$set_wait_prior entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L286" class="LineNr">286 </span>call ipc_$set_wait_prior <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L287" class="LineNr">287 </span>
<span id="L288" class="LineNr">288 </span>
<span id="L289" class="LineNr">289 </span>Arguments:
<span id="L290" class="LineNr">290 </span>code
<span id="L291" class="LineNr">291 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L292" class="LineNr">292 </span>
<span id="L293" class="LineNr">293 </span>
<span id="L294" class="LineNr">294 </span>:Entry:  unmask_ev_calls:  10/22/82 ipc_$unmask_ev_calls
<span id="L295" class="LineNr">295 </span>
<span id="L296" class="LineNr">296 </span>
<span id="L297" class="LineNr">297 </span>Function:  This entry point causes the event-call mask counter to be
<span id="L298" class="LineNr">298 </span>decremented.  Event calls remain masked as long as the counter is
<span id="L299" class="LineNr">299 </span>greater than zero.  To force event calls to become unmasked, call this
<span id="L300" class="LineNr">300 </span>entry point repeatedly, until a nonzero code is returned.
<span id="L301" class="LineNr">301 </span>
<span id="L302" class="LineNr">302 </span>
<span id="L303" class="LineNr">303 </span>Syntax:
<span id="L304" class="LineNr">304 </span>declare ipc_$unmask_ev_calls entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L305" class="LineNr">305 </span>call ipc_$unmask_ev_calls <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_p0">)</span>;
<span id="L306" class="LineNr">306 </span>
<span id="L307" class="LineNr">307 </span>
<span id="L308" class="LineNr">308 </span>Arguments:
<span id="L309" class="LineNr">309 </span>code
<span id="L310" class="LineNr">310 </span>   is a standard status code.  A nonzero code is returned if event
<span id="L311" class="LineNr">311 </span>   calls were not masked at the time of the call.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
